[Swift-commit] r6787 - SwiftTutorials/ATPESC_2013-08-06/cloud
ketan at ci.uchicago.edu
ketan at ci.uchicago.edu
Tue Aug 6 14:35:46 CDT 2013
Author: ketan
Date: 2013-08-06 14:35:46 -0500 (Tue, 06 Aug 2013)
New Revision: 6787
Added:
SwiftTutorials/ATPESC_2013-08-06/cloud/addcloud.sh
Modified:
SwiftTutorials/ATPESC_2013-08-06/cloud/coaster-service.conf
SwiftTutorials/ATPESC_2013-08-06/cloud/hosts.txt
SwiftTutorials/ATPESC_2013-08-06/cloud/sites.xml
SwiftTutorials/ATPESC_2013-08-06/cloud/tc.data
Log:
add cloud
Added: SwiftTutorials/ATPESC_2013-08-06/cloud/addcloud.sh
===================================================================
--- SwiftTutorials/ATPESC_2013-08-06/cloud/addcloud.sh (rev 0)
+++ SwiftTutorials/ATPESC_2013-08-06/cloud/addcloud.sh 2013-08-06 19:35:46 UTC (rev 6787)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+EXPECTED_ARGS=1
+
+if [ $# -ne $EXPECTED_ARGS ]
+then
+ echo "Expecting 1 arg : Got $*"
+ echo "usage $0 <targetdirectory>"
+ exit 1
+fi
+
+sed -n '2,12 p' sites.xml > poolentry.xml
+
+cloudpool=$(cat poolentry.xml)
+#echo $cloudpool
+#sed '/\<\/config\>/i\
+#$(cloudpool)' $1/sites.xml
+
+echo $cloudpool
+
+sed "/<\/config>/i\
+$(echo $cloudpool | sed -e 's/\\/\\\\/g' -e 's/\//\\\//g')" $1/sites.xml
+
Property changes on: SwiftTutorials/ATPESC_2013-08-06/cloud/addcloud.sh
___________________________________________________________________
Added: svn:executable
+ *
Modified: SwiftTutorials/ATPESC_2013-08-06/cloud/coaster-service.conf
===================================================================
--- SwiftTutorials/ATPESC_2013-08-06/cloud/coaster-service.conf 2013-08-06 14:48:17 UTC (rev 6786)
+++ SwiftTutorials/ATPESC_2013-08-06/cloud/coaster-service.conf 2013-08-06 19:35:46 UTC (rev 6787)
@@ -36,8 +36,8 @@
# Below are various settings to give information about how to create sites.xml
export WORK=/tmp/ketan
- export JOBS_PER_NODE=4
- export JOBSPERNODE=4
+ export JOBS_PER_NODE=8
+ export JOBSPERNODE=8
export JOBTHROTTLE=$( echo "scale=5; ($JOBS_PER_NODE * $( echo $WORKER_HOSTS | wc -w ))/100 - 0.00001"|bc )
# Swift applications
Modified: SwiftTutorials/ATPESC_2013-08-06/cloud/hosts.txt
===================================================================
--- SwiftTutorials/ATPESC_2013-08-06/cloud/hosts.txt 2013-08-06 14:48:17 UTC (rev 6786)
+++ SwiftTutorials/ATPESC_2013-08-06/cloud/hosts.txt 2013-08-06 19:35:46 UTC (rev 6787)
@@ -1,3 +1,3 @@
-54.212.37.161
-54.212.140.138
-54.212.124.129
+54.212.69.219
+54.214.98.22
+50.112.13.124
Modified: SwiftTutorials/ATPESC_2013-08-06/cloud/sites.xml
===================================================================
--- SwiftTutorials/ATPESC_2013-08-06/cloud/sites.xml 2013-08-06 14:48:17 UTC (rev 6786)
+++ SwiftTutorials/ATPESC_2013-08-06/cloud/sites.xml 2013-08-06 19:35:46 UTC (rev 6787)
@@ -1,11 +1,11 @@
<config>
<pool handle="persistent-coasters">
<execution provider="coaster-persistent"
- url="http://localhost:50008"
+ url="http://localhost:50000"
jobmanager="local:local"/>
<profile namespace="globus" key="workerManager">passive</profile>
- <profile namespace="globus" key="jobsPerNode">4</profile>
- <profile key="jobThrottle" namespace="karajan">.11999</profile>
+ <profile namespace="globus" key="jobsPerNode">8</profile>
+ <profile key="jobThrottle" namespace="karajan">.23999</profile>
<profile namespace="karajan" key="initialScore">10000</profile>
<filesystem provider="local" url="none" />
<workdirectory>/tmp/ketan</workdirectory>
Modified: SwiftTutorials/ATPESC_2013-08-06/cloud/tc.data
===================================================================
--- SwiftTutorials/ATPESC_2013-08-06/cloud/tc.data 2013-08-06 14:48:17 UTC (rev 6786)
+++ SwiftTutorials/ATPESC_2013-08-06/cloud/tc.data 2013-08-06 19:35:46 UTC (rev 6787)
@@ -64,3 +64,15 @@
persistent-coasters cat /bin/cat null null null
persistent-coasters bash /bin/bash null null null
persistent-coasters echo /bin/echo null null null
+persistent-coasters cat /bin/cat null null null
+persistent-coasters bash /bin/bash null null null
+persistent-coasters echo /bin/echo null null null
+persistent-coasters cat /bin/cat null null null
+persistent-coasters bash /bin/bash null null null
+persistent-coasters echo /bin/echo null null null
+persistent-coasters cat /bin/cat null null null
+persistent-coasters bash /bin/bash null null null
+persistent-coasters echo /bin/echo null null null
+persistent-coasters cat /bin/cat null null null
+persistent-coasters bash /bin/bash null null null
+persistent-coasters echo /bin/echo null null null
More information about the Swift-commit
mailing list